UbixOS V2 2.0

Macros | Functions
gpt.c File Reference
`#include <fs/common/gpt.h>`
`#include <fs/common/crc32.h>`
`#include <sys/device.h>`
`#include <lib/kprintf.h>`
`#include <pci/hd.h>`
Include dependency graph for gpt.c:

Go to the source code of this file.

## Macros
#define | BOOTPROG "Unknown"
#define | MAXTBLENTS 128

## Functions
void | gptbootfailed (struct device_interface *devInfo)
int | gptfind (const uuid_t *uuid, struct device_interface *devInfo, int part)
int | gptread (const uuid_t *uuid, struct device_interface *devInfo, char *buf)

## Macro Definition Documentation

## ◆ BOOTPROG

#define BOOTPROG "Unknown"

Definition at line 52 of file gpt.c.

## ◆ MAXTBLENTS

#define MAXTBLENTS 128

Definition at line 49 of file gpt.c.

## Function Documentation

## ◆ gptbootfailed()

void gptbootfailed | ( | struct device_interface * | devInfo | ) |

Definition at line 216 of file gpt.c.

## ◆ gptfind()

int gptfind | ( | const uuid_t * | uuid,
|  | struct device_interface * | devInfo,
|  | int | part
| ) |  |

Definition at line 99 of file gpt.c.

References device_interface::info, and driveInfo::part.

## ◆ gptread()

int gptread | ( | const uuid_t * | uuid,
|  | struct device_interface * | devInfo,
|  | char * | buf
| ) |  |

Definition at line 305 of file gpt.c.